import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.txt'), "r") as r:
    README = r.read()
with open(os.path.join(here, 'CHANGES.txt'), "r") as c:
    CHANGES = c.read()
with open(os.path.join(here, 'requirements.txt'), "r") as r:
    requires = r.read().splitlines()

setup(name='bifrost',
      version='2.0',
      description='Digital Ocean domain a record updater to use as dyndns',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
        "Programming Language :: Python",
        "Framework :: Pyramid",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: ASGI :: Application",
        ],
      author='tanshu',
      author_email='programming@tanshu.com',
      url='https://git.tanshu.com/tanshu/bifrost.git',
      keywords='web sanic',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      tests_require=requires,
      test_suite="bifrost",
      )
